<!DOCTYPE html>
<html>
    <head>
        <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
        <link rel="stylesheet" href="./style_sheet.css">
    </head>

    <body>
        <div class="flex-container">
            <button onclick="openAndCloseNav()" class="transparentButton">
                <img class="collapse_icon" src="./collapse_icon.png" alt="collapse_icon" width="40" height="40">
            </button>
            <h1 class="main_header">Heading</h1>
        </div>

        <div class="sub_menu">
            <div class="navigation_bar" id="sidebar" style="display: flex;">
                <button>Button 1</button>
                <button>Button 2</button>
                <button>Button 3</button>
                <button>Button 4</button>
                <button>Button 5</button>
            </div>

            <div class="main_content">
                <div class="sub_menu_heading">
                    <div class="subheading" style="flex-grow: 4;" >
                        <p>SubHeading</p>
                    </div>
                    <div style="flex-grow: 1;">
                        <p class="bread_crumb" style="text-align: right; padding-right: 5px;"></p>
                    </div>
                </div>

                <div class="grid_container">
                    <div class="grid_item"> <p>1</p> </div>
                    <div class="grid_item"> <p>2</p> </div>
                    <div class="grid_item"> <p>3</p> </div>
                    <div class="grid_item"> <p>4</p> </div>
                    <div class="grid_item"> <p>5</p> </div>
                    <div class="grid_item"> <p>6</p> </div>
                    <div class="grid_item"> <p>6</p> </div>
                    <div class="grid_item"> <p>7</p> </div>
                    <div class="grid_item"> <p>8</p> </div>
                    <div class="grid_item"> <p>9</p> </div>
                    <div class="grid_item"> <p>9</p> </div>
                    <div class="grid_item"> <p>10</p> </div>
                    <div class="grid_item"> <p>11</p> </div>
                    <div class="grid_item"> <p>12</p> </div>
                    <div class="grid_item"> <p>13</p> </div>
                    <div class="grid_item"> <p>14</p> </div>
                    <div class="grid_item"> <p>15</p> </div>
                    <div class="grid_item"> <p>16</p> </div>
                    <div class="grid_item"> <p>17</p> </div>
                    <div class="grid_item"> <p>18</p> </div>
                    <div class="grid_item"> <p>19</p> </div>
                    <div class="grid_item"> <p>20</p> </div>
                    <div class="grid_item"> <p>21</p> </div>
                    <div class="grid_item"> <p>22</p> </div>
                    <div class="grid_item"> <p>23</p> </div>
                    <div class="grid_item"> <p>24</p> </div>
                    <div class="grid_item"> <p>25</p> </div>
                    <div class="grid_item"> <p>26</p> </div>
                </div>

                <hr>

                <div class="flex_item_container">
                    <div> <p> 1 </p> </div>
                    <div> <p> 2 </p> </div>
                    <div> <p> 3 </p> </div>
                    <div> <p> 4 </p> </div>
                    <div> <p> 5 </p> </div>
                    <div> <p> 6 </p> </div>
                    <div> <p> 7 </p> </div>
                    <div> <p> 8 </p> </div>
                    <div> <p> 9 </p> </div>
                    <div> <p> 10 </p> </div>
                </div>
            </div>
        </div>
    </body>
</html>

<script type="text/javascript">
    $(document).ready(function(){

        $("button").click(function(){
            var buttonText = $(this).text();
            $('.bread_crumb').text(buttonText);
        });

    });

    function openAndCloseNav(){
        element = document.getElementById("sidebar")
        if (element.style.display == "none"){
            element.style.display = "flex";
        }else{
            element.style.display="None";
        }
    }
</script>